Cyberduck Mountain Duck CLI

#2492 closed defect (thirdparty)

Incompatibility with Bingodisk

Reported by: rene.androsch@… Owned by: dkocher
Priority: normal Milestone:
Component: webdav Version: 3.0.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Whatever I upload with CyberDuck has 0 bytes on the server. I try it with a little ruby script and with Mac OSX's finder - and could write file to this host.

Here is the (long) error log from cyberduck - after trying to upload a few files (all where created with 0 bytes on the server!)

Cyberduck: 3.0.2 (4166)

Log is attached

Change History (8)

comment:1 Changed on Aug 23, 2008 at 1:24:49 PM by dkocher

  • Component changed from core to webdav

There is public accessible demo account at

http://demo.bingodisk.com/bingo

comment:2 Changed on Aug 23, 2008 at 1:25:10 PM by dkocher

  • Summary changed from Problem uploading (anything) to Bingodisk (WebDAV) to Incompatibility with Bingodisk

comment:3 Changed on Aug 23, 2008 at 1:25:31 PM by dkocher

PROPFIND /bingo HTTP/1.1[\r][\n]
Authorization: Basic YXJ0bW90aW9uQGJpbmdvZGlzay5jb206a3VhZHRhbWFnZQ==[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
Date: Wed, 20 Aug 2008 21:58:19 GMT[\r][\n]
Server: Apache[\r][\n]
WWW-Authenticate: Digest realm="artmotion.bingodisk.com", nonce="3IBgTetUBAA=3c8a9e82a04109163fc6ce94bac3f59c5753d679", algorithm=MD5, domain="/bingo http://artmotion.bingodisk.com/bingo", qop="auth"[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 401[\r][\n]
Connection: close[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PROPFIND /bingo HTTP/1.1[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Content-Length: 207[\r][\n]
Authorization: Digest username="artmotion@bingodisk.com", realm="artmotion.bingodisk.com", nonce="3IBgTetUBAA=3c8a9e82a04109163fc6ce94bac3f59c5753d679", uri="/bingo", response="ddf27c19357f919fcd4c7511604116e5", qop=auth, nc=00000001, cnonce="af57a31a519445890921391028d97c47", algorithm="MD5"[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 301 Moved Permanently[\r][\n]
HTTP/1.1 301 Moved Permanently[\r][\n]
Date: Wed, 20 Aug 2008 21:58:19 GMT[\r][\n]
Server: Apache[\r][\n]
Location: http://artmotion.bingodisk.com/bingo/[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 245[\r][\n]
Connection: close[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PROPFIND /bingo/ HTTP/1.1[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Content-Length: 207[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
Date: Wed, 20 Aug 2008 21:58:19 GMT[\r][\n]
Server: Apache[\r][\n]
WWW-Authenticate: Digest realm="artmotion.bingodisk.com", nonce="LG1tTetUBAA=449a5748e515309daf602d6a0ddd6855ea6c8bb6", algorithm=MD5, domain="/bingo http://artmotion.bingodisk.com/bingo", qop="auth"[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 401[\r][\n]
Connection: close[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PROPFIND /bingo/ HTTP/1.1[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Content-Length: 207[\r][\n]
Authorization: Digest username="artmotion@bingodisk.com", realm="artmotion.bingodisk.com", nonce="LG1tTetUBAA=449a5748e515309daf602d6a0ddd6855ea6c8bb6", uri="/bingo/", response="a23215f2aeb34b3a9dfb82571c05c6f3", qop=auth, nc=00000001, cnonce="984abe8fa125d9fdc8337cb1835c56c3", algorithm="MD5"[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Wed, 20 Aug 2008 21:58:20 GMT[\r][\n]
Server: Apache[\r][\n]
Authentication-Info: rspauth="685470cd07098dee8f0b7ba8a5cadebd", cnonce="984abe8fa125d9fdc8337cb1835c56c3", nc=00000001, qop=auth[\r][\n]
Served-By: Joyent[\r][\n]
With: SecretSauce[\r][\n]
MS-Author-Via: DAV[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 647[\r][\n]
Connection: close[\r][\n]
Content-Type: text/xml; charset="utf-8"[\r][\n]
[\r][\n]
PROPFIND /bingo/test/ HTTP/1.1[\r][\n]
Authorization: Basic YXJ0bW90aW9uQGJpbmdvZGlzay5jb206a3VhZHRhbWFnZQ==[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
Date: Wed, 20 Aug 2008 21:58:20 GMT[\r][\n]
Server: Apache[\r][\n]
WWW-Authenticate: Digest realm="artmotion.bingodisk.com", nonce="tC97TetUBAA=03888c8cbc2f9156dd520700459b3257e0c79e93", algorithm=MD5, domain="/bingo http://artmotion.bingodisk.com/bingo", qop="auth"[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 401[\r][\n]
Connection: close[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PROPFIND /bingo/test/ HTTP/1.1[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Content-Length: 207[\r][\n]
Authorization: Digest username="artmotion@bingodisk.com", realm="artmotion.bingodisk.com", nonce="tC97TetUBAA=03888c8cbc2f9156dd520700459b3257e0c79e93", uri="/bingo/test/", response="4e80ca47a1f6aafe7d5072267ef28992", qop=auth, nc=00000001, cnonce="73d0f587ffa782445b6be9ff46f8534d", algorithm="MD5"[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Wed, 20 Aug 2008 21:58:21 GMT[\r][\n]
Server: Apache[\r][\n]
Authentication-Info: rspauth="58c596f09b1a4db2d76eb7ae782e302b", cnonce="73d0f587ffa782445b6be9ff46f8534d", nc=00000001, qop=auth[\r][\n]
Served-By: Joyent[\r][\n]
With: SecretSauce[\r][\n]
MS-Author-Via: DAV[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 652[\r][\n]
Connection: close[\r][\n]
Content-Type: text/xml; charset="utf-8"[\r][\n]
[\r][\n]
PROPFIND /bingo/test/ HTTP/1.1[\r][\n]
Authorization: Basic YXJ0bW90aW9uQGJpbmdvZGlzay5jb206a3VhZHRhbWFnZQ==[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Content-Length: 207[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
Date: Wed, 20 Aug 2008 21:58:21 GMT[\r][\n]
Server: Apache[\r][\n]
WWW-Authenticate: Digest realm="artmotion.bingodisk.com", nonce="KW2ITetUBAA=87637c5d9d60f689bdf48f722ebfed2b20e9044a", algorithm=MD5, domain="/bingo http://artmotion.bingodisk.com/bingo", qop="auth"[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 401[\r][\n]
Connection: close[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PROPFIND /bingo/test/ HTTP/1.1[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Content-Length: 207[\r][\n]
Authorization: Digest username="artmotion@bingodisk.com", realm="artmotion.bingodisk.com", nonce="KW2ITetUBAA=87637c5d9d60f689bdf48f722ebfed2b20e9044a", uri="/bingo/test/", response="79aaf1720ada63e0b73ef44a3806e407", qop=auth, nc=00000001, cnonce="875b8cc077a3b342a66de64a7265c39e", algorithm="MD5"[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Wed, 20 Aug 2008 21:58:22 GMT[\r][\n]
Server: Apache[\r][\n]
Authentication-Info: rspauth="20b2b5412b23359b794f73da1ae3f498", cnonce="875b8cc077a3b342a66de64a7265c39e", nc=00000001, qop=auth[\r][\n]
Served-By: Joyent[\r][\n]
With: SecretSauce[\r][\n]
MS-Author-Via: DAV[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 3838[\r][\n]
Connection: close[\r][\n]
Content-Type: text/xml; charset="utf-8"[\r][\n]
[\r][\n]
PROPFIND /bingo/test/ HTTP/1.1[\r][\n]
Authorization: Basic YXJ0bW90aW9uQGJpbmdvZGlzay5jb206a3VhZHRhbWFnZQ==[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
Date: Wed, 20 Aug 2008 21:58:22 GMT[\r][\n]
Server: Apache[\r][\n]
WWW-Authenticate: Digest realm="artmotion.bingodisk.com", nonce="BfqVTetUBAA=e893eebbcae72167ec147fc6d637ff613978ac99", algorithm=MD5, domain="/bingo http://artmotion.bingodisk.com/bingo", qop="auth"[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 401[\r][\n]
Connection: close[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PROPFIND /bingo/test/ HTTP/1.1[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Content-Length: 207[\r][\n]
Authorization: Digest username="artmotion@bingodisk.com", realm="artmotion.bingodisk.com", nonce="BfqVTetUBAA=e893eebbcae72167ec147fc6d637ff613978ac99", uri="/bingo/test/", response="acc56bdec85950fb0f98dee486a249ee", qop=auth, nc=00000001, cnonce="fa9ffff75860ca8a50a821c2eeb700ff", algorithm="MD5"[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Wed, 20 Aug 2008 21:58:22 GMT[\r][\n]
Server: Apache[\r][\n]
Authentication-Info: rspauth="259b56541a376dd2de5e86609092f27b", cnonce="fa9ffff75860ca8a50a821c2eeb700ff", nc=00000001, qop=auth[\r][\n]
Served-By: Joyent[\r][\n]
With: SecretSauce[\r][\n]
MS-Author-Via: DAV[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 652[\r][\n]
Connection: close[\r][\n]
Content-Type: text/xml; charset="utf-8"[\r][\n]
[\r][\n]
PROPFIND /bingo/test/ HTTP/1.1[\r][\n]
Authorization: Basic YXJ0bW90aW9uQGJpbmdvZGlzay5jb206a3VhZHRhbWFnZQ==[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Content-Length: 207[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
Date: Wed, 20 Aug 2008 21:58:23 GMT[\r][\n]
Server: Apache[\r][\n]
WWW-Authenticate: Digest realm="artmotion.bingodisk.com", nonce="OM+jTetUBAA=155c800a660480c88fcbef76e939c273afb4eae3", algorithm=MD5, domain="/bingo http://artmotion.bingodisk.com/bingo", qop="auth"[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 401[\r][\n]
Connection: close[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PROPFIND /bingo/test/ HTTP/1.1[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Content-Length: 207[\r][\n]
Authorization: Digest username="artmotion@bingodisk.com", realm="artmotion.bingodisk.com", nonce="OM+jTetUBAA=155c800a660480c88fcbef76e939c273afb4eae3", uri="/bingo/test/", response="c17c35e0b22c4a2da059b737daec9e28", qop=auth, nc=00000001, cnonce="9a862c42eacfa2ba708b670bfa49562c", algorithm="MD5"[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Wed, 20 Aug 2008 21:58:23 GMT[\r][\n]
Server: Apache[\r][\n]
Authentication-Info: rspauth="4032f381b6dca2071f303efc86622283", cnonce="9a862c42eacfa2ba708b670bfa49562c", nc=00000001, qop=auth[\r][\n]
Served-By: Joyent[\r][\n]
With: SecretSauce[\r][\n]
MS-Author-Via: DAV[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 3838[\r][\n]
Connection: close[\r][\n]
Content-Type: text/xml; charset="utf-8"[\r][\n]
[\r][\n]
PROPFIND /bingo/ HTTP/1.1[\r][\n]
Authorization: Basic YXJ0bW90aW9uQGJpbmdvZGlzay5jb206a3VhZHRhbWFnZQ==[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
Date: Wed, 20 Aug 2008 21:58:27 GMT[\r][\n]
Server: Apache[\r][\n]
WWW-Authenticate: Digest realm="artmotion.bingodisk.com", nonce="D+fjTetUBAA=b8602a3f38416116bc08b6695a31fe5e32e5ea8d", algorithm=MD5, domain="/bingo http://artmotion.bingodisk.com/bingo", qop="auth"[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 401[\r][\n]
Connection: close[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PROPFIND /bingo/ HTTP/1.1[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Content-Length: 207[\r][\n]
Authorization: Digest username="artmotion@bingodisk.com", realm="artmotion.bingodisk.com", nonce="D+fjTetUBAA=b8602a3f38416116bc08b6695a31fe5e32e5ea8d", uri="/bingo/", response="fe184f9af6e779216cfb710e525447e4", qop=auth, nc=00000001, cnonce="9a4a796e1bb19f1458ad3ba43c6ab5a4", algorithm="MD5"[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Wed, 20 Aug 2008 21:58:28 GMT[\r][\n]
Server: Apache[\r][\n]
Authentication-Info: rspauth="5bb57aae5b401829eb8932fba0cf41ea", cnonce="9a4a796e1bb19f1458ad3ba43c6ab5a4", nc=00000001, qop=auth[\r][\n]
Served-By: Joyent[\r][\n]
With: SecretSauce[\r][\n]
MS-Author-Via: DAV[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 647[\r][\n]
Connection: close[\r][\n]
Content-Type: text/xml; charset="utf-8"[\r][\n]
[\r][\n]
PROPFIND /bingo/ HTTP/1.1[\r][\n]
Authorization: Basic YXJ0bW90aW9uQGJpbmdvZGlzay5jb206a3VhZHRhbWFnZQ==[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Content-Length: 207[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
Date: Wed, 20 Aug 2008 21:58:28 GMT[\r][\n]
Server: Apache[\r][\n]
WWW-Authenticate: Digest realm="artmotion.bingodisk.com", nonce="qQDxTetUBAA=1e50e3bd44d3efe131e2cfc825a1a64da20299ed", algorithm=MD5, domain="/bingo http://artmotion.bingodisk.com/bingo", qop="auth"[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 401[\r][\n]
Connection: close[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PROPFIND /bingo/ HTTP/1.1[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Content-Length: 207[\r][\n]
Authorization: Digest username="artmotion@bingodisk.com", realm="artmotion.bingodisk.com", nonce="qQDxTetUBAA=1e50e3bd44d3efe131e2cfc825a1a64da20299ed", uri="/bingo/", response="10ec4fba60dd7eb86071ee0e02d4891f", qop=auth, nc=00000001, cnonce="0e4ac8cad0f3f2f2462e6db902081917", algorithm="MD5"[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Wed, 20 Aug 2008 21:58:28 GMT[\r][\n]
Server: Apache[\r][\n]
Authentication-Info: rspauth="8f49362172cf88386edbf4bb96794dd1", cnonce="0e4ac8cad0f3f2f2462e6db902081917", nc=00000001, qop=auth[\r][\n]
Served-By: Joyent[\r][\n]
With: SecretSauce[\r][\n]
MS-Author-Via: DAV[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 6109[\r][\n]
Connection: close[\r][\n]
Content-Type: text/xml; charset="utf-8"[\r][\n]
[\r][\n]
PROPFIND /bingo/test/ HTTP/1.1[\r][\n]
Authorization: Basic YXJ0bW90aW9uQGJpbmdvZGlzay5jb206a3VhZHRhbWFnZQ==[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
Date: Wed, 20 Aug 2008 21:58:29 GMT[\r][\n]
Server: Apache[\r][\n]
WWW-Authenticate: Digest realm="artmotion.bingodisk.com", nonce="LroBTutUBAA=40a76aaa70a8efe89d8dc8a022ff12ba4cf13ad0", algorithm=MD5, domain="/bingo http://artmotion.bingodisk.com/bingo", qop="auth"[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 401[\r][\n]
Connection: close[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PROPFIND /bingo/test/ HTTP/1.1[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Content-Length: 207[\r][\n]
Authorization: Digest username="artmotion@bingodisk.com", realm="artmotion.bingodisk.com", nonce="LroBTutUBAA=40a76aaa70a8efe89d8dc8a022ff12ba4cf13ad0", uri="/bingo/test/", response="3738dc6194f486bf0b5303a5e7c6caca", qop=auth, nc=00000001, cnonce="952288bc7700fe17af8c86c7831561d2", algorithm="MD5"[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Wed, 20 Aug 2008 21:58:30 GMT[\r][\n]
Server: Apache[\r][\n]
Authentication-Info: rspauth="ede2b58b258918ee9ca79ff8203bdeee", cnonce="952288bc7700fe17af8c86c7831561d2", nc=00000001, qop=auth[\r][\n]
Served-By: Joyent[\r][\n]
With: SecretSauce[\r][\n]
MS-Author-Via: DAV[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 652[\r][\n]
Connection: close[\r][\n]
Content-Type: text/xml; charset="utf-8"[\r][\n]
[\r][\n]
PROPFIND /bingo/test/ HTTP/1.1[\r][\n]
Authorization: Basic YXJ0bW90aW9uQGJpbmdvZGlzay5jb206a3VhZHRhbWFnZQ==[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Content-Length: 207[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
Date: Wed, 20 Aug 2008 21:58:30 GMT[\r][\n]
Server: Apache[\r][\n]
WWW-Authenticate: Digest realm="artmotion.bingodisk.com", nonce="yMMOTutUBAA=e89a294ae8aaa567de62f1ee1774fdb257a900a6", algorithm=MD5, domain="/bingo http://artmotion.bingodisk.com/bingo", qop="auth"[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 401[\r][\n]
Connection: close[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PROPFIND /bingo/test/ HTTP/1.1[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Content-Length: 207[\r][\n]
Authorization: Digest username="artmotion@bingodisk.com", realm="artmotion.bingodisk.com", nonce="yMMOTutUBAA=e89a294ae8aaa567de62f1ee1774fdb257a900a6", uri="/bingo/test/", response="d0009c6e07142eb2556c3427fe5760b4", qop=auth, nc=00000001, cnonce="094d082cf017aba7805158fd9fa60268", algorithm="MD5"[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Date: Wed, 20 Aug 2008 21:58:30 GMT[\r][\n]
Server: Apache[\r][\n]
Authentication-Info: rspauth="2805cfdc585b7523669fae0b79e81cd2", cnonce="094d082cf017aba7805158fd9fa60268", nc=00000001, qop=auth[\r][\n]
Served-By: Joyent[\r][\n]
With: SecretSauce[\r][\n]
MS-Author-Via: DAV[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 3838[\r][\n]
Connection: close[\r][\n]
Content-Type: text/xml; charset="utf-8"[\r][\n]
[\r][\n]
PUT /bingo/test/net_digest_auth.rb HTTP/1.1[\r][\n]
Content-Type: application/octet-stream[\r][\n]
Authorization: Basic YXJ0bW90aW9uQGJpbmdvZGlzay5jb206a3VhZHRhbWFnZQ==[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Content-Length: 1335[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
Date: Wed, 20 Aug 2008 21:59:17 GMT[\r][\n]
Server: Apache[\r][\n]
WWW-Authenticate: Digest realm="artmotion.bingodisk.com", nonce="vavgUOtUBAA=d3ffc7d9623c38a2a3c77abd498fdcfe1be150f7", algorithm=MD5, domain="/bingo http://artmotion.bingodisk.com/bingo", qop="auth"[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 401[\r][\n]
Connection: close[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PUT /bingo/test/net_digest_auth.rb HTTP/1.1[\r][\n]
Content-Type: application/octet-stream[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Content-Length: 1335[\r][\n]
Authorization: Digest username="artmotion@bingodisk.com", realm="artmotion.bingodisk.com", nonce="vavgUOtUBAA=d3ffc7d9623c38a2a3c77abd498fdcfe1be150f7", uri="/bingo/test/net_digest_auth.rb", response="8d7f0615a8ca83125a075895a205199d", qop=auth, nc=00000001, cnonce="2c859dc954e770f3a3885976bab9d8e2", algorithm="MD5"[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
[\r][\n]
PUT /bingo/test/x HTTP/1.1[\r][\n]
Content-Type: application/octet-stream[\r][\n]
Authorization: Basic YXJ0bW90aW9uQGJpbmdvZGlzay5jb206a3VhZHRhbWFnZQ==[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Content-Length: 5[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
Date: Wed, 20 Aug 2008 21:59:18 GMT[\r][\n]
Server: Apache[\r][\n]
WWW-Authenticate: Digest realm="artmotion.bingodisk.com", nonce="AMvsUOtUBAA=4d60ca881944fc064115fd077e3ccd172aa2af30", algorithm=MD5, domain="/bingo http://artmotion.bingodisk.com/bingo", qop="auth"[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 401[\r][\n]
Connection: close[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PUT /bingo/test/x HTTP/1.1[\r][\n]
Content-Type: application/octet-stream[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Content-Length: 5[\r][\n]
Authorization: Digest username="artmotion@bingodisk.com", realm="artmotion.bingodisk.com", nonce="AMvsUOtUBAA=4d60ca881944fc064115fd077e3ccd172aa2af30", uri="/bingo/test/x", response="d9d18ab5860654b6426786c71b4ec27a", qop=auth, nc=00000001, cnonce="1f96f394beebb63c2e23a8c7861c10d2", algorithm="MD5"[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
[\r][\n]
PUT /bingo/test/upload.rb HTTP/1.1[\r][\n]
Content-Type: application/octet-stream[\r][\n]
Authorization: Basic YXJ0bW90aW9uQGJpbmdvZGlzay5jb206a3VhZHRhbWFnZQ==[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Content-Length: 2924[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
Date: Wed, 20 Aug 2008 21:59:19 GMT[\r][\n]
Server: Apache[\r][\n]
WWW-Authenticate: Digest realm="artmotion.bingodisk.com", nonce="CY/2UOtUBAA=2b1702dfc6429b6ff8880323b3300a070ec4b7c9", algorithm=MD5, domain="/bingo http://artmotion.bingodisk.com/bingo", qop="auth"[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 401[\r][\n]
Connection: close[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PUT /bingo/test/upload.rb HTTP/1.1[\r][\n]
Content-Type: application/octet-stream[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Content-Length: 2924[\r][\n]
Authorization: Digest username="artmotion@bingodisk.com", realm="artmotion.bingodisk.com", nonce="CY/2UOtUBAA=2b1702dfc6429b6ff8880323b3300a070ec4b7c9", uri="/bingo/test/upload.rb", response="455f6e242432379b27df498a6d16e3d4", qop=auth, nc=00000001, cnonce="9344dee2cbcf34a7fb7e1b82651648b3", algorithm="MD5"[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
[\r][\n]
PUT /bingo/test/upload_work_01.rb HTTP/1.1[\r][\n]
Content-Type: application/octet-stream[\r][\n]
Authorization: Basic YXJ0bW90aW9uQGJpbmdvZGlzay5jb206a3VhZHRhbWFnZQ==[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Content-Length: 2794[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
Date: Wed, 20 Aug 2008 21:59:20 GMT[\r][\n]
Server: Apache[\r][\n]
WWW-Authenticate: Digest realm="artmotion.bingodisk.com", nonce="+QkHUetUBAA=88b5964ac9f321287d545537b02efb191152d461", algorithm=MD5, domain="/bingo http://artmotion.bingodisk.com/bingo", qop="auth"[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 401[\r][\n]
Connection: close[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PUT /bingo/test/upload_work_01.rb HTTP/1.1[\r][\n]
Content-Type: application/octet-stream[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Content-Length: 2794[\r][\n]
Authorization: Digest username="artmotion@bingodisk.com", realm="artmotion.bingodisk.com", nonce="+QkHUetUBAA=88b5964ac9f321287d545537b02efb191152d461", uri="/bingo/test/upload_work_01.rb", response="0c3cfee6d56978d637539e897d94d1f3", qop=auth, nc=00000001, cnonce="bceb3581691650d8e528beda1361b7e5", algorithm="MD5"[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
[\r][\n]
PUT /bingo/test/cert.yml HTTP/1.1[\r][\n]
Content-Type: application/octet-stream[\r][\n]
Authorization: Basic YXJ0bW90aW9uQGJpbmdvZGlzay5jb206a3VhZHRhbWFnZQ==[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
Content-Length: 103[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
Date: Wed, 20 Aug 2008 21:59:21 GMT[\r][\n]
Server: Apache[\r][\n]
WWW-Authenticate: Digest realm="artmotion.bingodisk.com", nonce="+ooXUetUBAA=88d46c81191768fc01ad1da67b8320121bdc1695", algorithm=MD5, domain="/bingo http://artmotion.bingodisk.com/bingo", qop="auth"[\r][\n]
Vary: Accept-Encoding[\r][\n]
Content-Length: 401[\r][\n]
Connection: close[\r][\n]
Content-Type: text/html; charset=iso-8859-1[\r][\n]
[\r][\n]
PUT /bingo/test/cert.yml HTTP/1.1[\r][\n]
Content-Type: application/octet-stream[\r][\n]
User-Agent: Cyberduck/3.0.2 (4166)[\r][\n]
Content-Length: 103[\r][\n]
Authorization: Digest username="artmotion@bingodisk.com", realm="artmotion.bingodisk.com", nonce="+ooXUetUBAA=88d46c81191768fc01ad1da67b8320121bdc1695", uri="/bingo/test/cert.yml", response="bf5293ebe3f482c86bd79e586e881e2a", qop=auth, nc=00000001, cnonce="97dd14a68ca0350914446e07622621bf", algorithm="MD5"[\r][\n]
Host: artmotion.bingodisk.com[\r][\n]
[\r][\n]

comment:4 Changed on Aug 23, 2008 at 1:27:24 PM by dkocher

This is probably a duplicate of issue #2268.

comment:5 Changed on Dec 15, 2008 at 5:38:28 PM by dkocher

  • Resolution set to duplicate
  • Status changed from new to closed

Login works using the demo account https://demo:bingo@bingodisk.com@demo.bingodisk.com/bingo. Upload fails because of the same issue as described in #2268.

comment:6 Changed on Dec 15, 2008 at 10:32:30 PM by dkocher

  • Resolution duplicate deleted
  • Status changed from closed to reopened

#2268 has been resolved but BingoDisk does not correctly implement the HTTP/1.1 Continue feature it seems. It first sends a 100 Continue but then gives a 401 only after the request body has been sent. It is expected that the 401 is returned immediately when no authentication credentials are given.

PUT /bingo/public/DSC01446.JPG HTTP/1.1[\r][\n]
Content-Type: application/octet-stream[\r][\n]
User-Agent: Cyberduck/_VERSION_ (_REVISION_)[\r][\n]
Host: demo.bingodisk.com[\r][\n]
Expect: 100-continue[\r][\n]
Content-Length: 3061257[\r][\n]
[\r][\n]
HTTP/1.1 100 Continue[\r][\n]
HTTP/1.1 100 Continue[\r][\n]
[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]
HTTP/1.1 401 Authorization Required[\r][\n]

comment:7 Changed on Apr 13, 2009 at 2:31:27 PM by dkocher

  • Milestone changed from 3.2 to 3.3

Milestone 3.2 deleted

comment:8 Changed on Nov 20, 2010 at 1:04:31 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software